
CoCoA - Bug #238

Cleaner CVS?

26 Sep 2012 16:17 - John Abbott

Status: Closed Start date: 26 Sep 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Administration Estimated time: 0.00 hour

Target version: CoCoA-5.1.0 Easter14 Spent time: 0.60 hour

Description

Christof suggests making a cleaner CVS repository:

(essentially all generated files should not be in the repository)

the dependency files for make

the html documentation, also PDF

possibly library.H

and some files in src/CoCoA-5/ such as C5.pro and C5.app

In compensation, we can add a target to the top Makefile which builds all files which should be in a "tar-ball" for public release; it

could also build the tar-ball itself!

Related issues:

Related to CoCoALib - Bug #149: Makefile dependencies New 02 May 2012

Related to CoCoA-5 - Feature #270: Distribution for linux Closed 18 Oct 2012

Related to CoCoA - Support #425: Osnabrueck 2014-01 Closed 27 Jan 2014

History

#1 - 26 Sep 2012 16:47 - Anna Maria Bigatti

John Abbott wrote:

Christof suggests making a cleaner CVS repository:

(essentially all generated files should not be in the repository)

the dependency files for make

the html documentation, also PDF

possibly library.H

and some files in src/CoCoA-5/ such as C5.pro and C5.app

 

I thought we had already removed (some of) them

In compensation, we can add a target to the top Makefile which builds all files which should be in a "tar-ball" for public release; it could also build

the tar-ball itself!

 

I have a shell script making the tar-ball: I find it more readable that a makefile...
#2 - 26 Sep 2012 17:26 - John Abbott

Yes, shell scripts are much more readable than Makefile code.  So we arrange for the make target to call your shell script :-)

#3 - 27 Sep 2012 18:16 - Christof Soeger

Here is why I think the dependency files and the C5.pro file should not be in there.

1) They are generated automatically, so there is no need.

2) The existing files include information depending on the configuration, for example paths like

/Users/abbott/Work/NORMALIZ/Normaliz-fa48939/libnormaliz/cone.h

So they cannot used by others.

3) They make the diff less clear.

#4 - 22 Jan 2013 15:21 - Christof Soeger

Another little argument for my point:

make veryclean; cvs up

gives warnings like

cvs update: warning: `include/CoCoA/library.H' was lost

U include/CoCoA/library.H

#5 - 19 Jun 2013 12:20 - Christof Soeger

Another argument: The CVS merged some Makefile_dependencies and when I then tried to compile I just got

Makefile_dependencies:50: *** missing separator.  Stop.

and had do find the directory to delete that file. Even "make dependencies" gave the same error.

#6 - 29 Jan 2014 16:41 - Christof Soeger

In the CoCoA5 dir also C5Makefile is created (together with C5.pro) and depend on autoconf.mk.

So I suggest to remove it from the cvs.

#7 - 29 Jan 2014 17:51 - John Abbott

JAA has removed all Makefile_dependencies from CVS.

#8 - 30 Jan 2014 11:04 - Christof Soeger

It looks much cleaner now.

I'm not sure how the .cvsignore works but maybe you want to add the Makefile_dependencies to it?

#9 - 30 Jan 2014 18:57 - Christof Soeger

- Status changed from New to Feedback

- % Done changed from 0 to 90
#10 - 10 Jul 2014 13:32 - John Abbott

- Category set to Administration

- Assignee set to John Abbott

- Target version set to CoCoA-5.1.0 Easter14

- % Done changed from 90 to 100

Closing.

#11 - 10 Jul 2014 13:33 - John Abbott

- Status changed from Feedback to Closed
